import corrlib.input.sfcf as input
import json

def test_get_specs():
    parameters = {
        'crr': [
            'f_P', 'f_A'
            ],
        'qr': {
            'q1': 'a',
            'q2': 'b',
            'q3': 'c'
            },
        'wf_offsets': [
            [0, 0, 0],
            [1 ,2, 3],
            [4 ,5, 6],
        ],
        'wf_coeff': [[1, 0.5, 0.5]],
        'wf_basis': [
            [0, 0],
            [1, 2],
            [4, 5],
        ]
    }
    key = "f_P/q1 q2/1/0/0"
    specs = json.loads(input.get_specs(key, parameters))
    assert specs['quarks'] == ['a', 'b']
    assert specs['wf1'][0] == [1, [0, 0]]